UNITS | CLASSES, INTERFACES, OBJECTS | TYPES | VARIABLES | CONSTANTS | FUNCTIONS, PROCEDURES | IDENTIFIERS

# Unit Interbase

## Description

$Id: interbase.pp,v 1.2 2000/11/02 12:36:19 stingp1 Exp $ Copyright (c) 2000 by Pavel Stingl Interbase database & dataset See the file COPYING.FPC, included in this distribution, for details about the copyright. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **********************************************************************

## Constants

None.

## Variables

None.

## Types

Name | Description
--- | ---
PIBBookmark | TIBQuery
PInteger |
PSmallInt |
TAccessMode |
TCommitRollbackAction | Interbase has two modes for commit and rollback transactions, the difference is simple. If you execute Commit or Rollback, current transaction ends, and you must create new one. If you, on other side, need only commit or rollback data without transaction closing, execute with CommitRetaining or RollbackRetaining. Transaction handle, environment etc. will be as same as before action. Possible values are : caNone, caCommit, caCommitRetaining, caRollback, caRollbackRetaining
TIBBookmark |
TIsolationLevel |
TLockResolution |
TStatementType |
TTableReservation |

## Functions and procedures

None.

## Classes, interfaces and objects

Name | Description
--- | ---
Class TIBDatabase | TIBDatabase
Class TIBQuery |
Class TIBStoredProc | TIBStoredProc - not implemented - yet :-/
Class TIBTransaction |

Generated by pasdoc 0.6.17 on Fri 3 Nov 2000 09:02:48